{{ $content := .Inner | markdownify }}
{{ $labelText := .Get 0 | default "Expand content" }}
{{ $themeVariant := .Site.Params.themeVariant }}

<div class="expandable {{ with index $themeVariant 0 }}{{.}}{{end}}">
  <input type="checkbox" id="expand-toggle" class="expand-toggle">
  <label for="expand-toggle" class="expand-label">{{ $labelText }}</label>
  <div class="expand-content">
    {{ $content }}
  </div>
</div>

<style>
  .expandable .expand-toggle {
    display: none;
  }

  .expandable .expand-label {
    cursor: pointer;
    display: block;
    padding: 5px;
    border-radius: 3px;
  }

  .expandable .expand-content {
    display: none;
    padding: 10px;
    margin-top: 10px;
    border-radius: 3px;
  }

  .expandable .expand-toggle:checked + .expand-label + .expand-content {
    display: block;
  }

  .expandable.naturalis-dark .expand-label {
    background-color: #333;
    color: #fff;
  }

  .expandable.naturalis-dark .expand-content {
    background-color: #444;
    color: #fff;
  }

  .expandable.naturalis-light .expand-label {
    background-color: #f0f0f0;
    border: 1px solid #ddd;
  }

  .expandable.naturalis-light .expand-content {
    border: 1px solid #ddd;
    background-color: #fff;
  }

  .expandable .expand-toggle:checked + .expand-label:before {
    content: 'v';
  }

  .expandable .expand-label:before {
    content: '>';
    margin-right: 5px;
  }
</style>
